.header {
  padding: 24px 24px;
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  width: 100%;
  z-index: 5;
}
@media (min-width: 1024px) {
  .header {
    padding: 40px 24px;
  }
}
.gin--vertical-toolbar .header {
  top: calc(var(--gin-toolbar-y-offset) + var(--gin-toolbar-secondary-height));
  left: var(--gin-toolbar-x-offset, 256px);
  width: calc(100% - var(--gin-toolbar-x-offset, 256px));
}
.header__inner {
  max-width: 1320px;
  width: 100%;
  margin: 0 auto;
  padding: 0 0;
  background: rgba( var(--c-primary, 33, 11, 54), 1 );
  border: 2px solid #32174D;
  border-radius: 48px;
  display: flex;
  flex-direction: column;
  gap: 24px;
  padding: 12px 12px 12px 24px;
  position: relative;
}
@media (min-width: 1024px) {
  .header__inner {
    align-items: center;
    flex-direction: row;
    height: auto;
    justify-content: space-between;
  }
}
.header--expanded .header__inner {
  background: none;
  border: none;
  border-radius: 0;
  height: 100%;
  padding: 12px 0 0;
}
@media (min-width: 1024px) {
  .header--expanded .header__inner {
    background: rgba( var(--c-primary, 33, 11, 54), 1 );
    border: 2px solid #32174D;
    border-radius: 48px;
    height: auto;
    padding: 12px 12px 12px 24px;
  }
}
.header nav {
  display: none;
  height: 100%;
}
@media (min-width: 1024px) {
  .header nav {
    display: block;
    height: auto;
  }
}
.header--expanded {
  background: rgba( var(--c-background-inverse, 255, 255, 255), 1 );
  height: 100%;
  overflow: auto;
  position: fixed;
}
@media (min-width: 1024px) {
  .header--expanded {
    background: none;
    height: auto;
    overflow: initial;
    position: absolute;
  }
}
.header--expanded nav {
  display: block;
}

.header-toggle {
  background: url(../../../icons/menu.svg) no-repeat;
  border: none;
  display: block;
  height: 32px;
  padding: 0;
  right: 16px;
  position: absolute;
  top: 24px;
  width: 32px;
  cursor: pointer;
}
.header--expanded .header-toggle {
  top: 18px;
}
@media (min-width: 1024px) {
  .header-toggle {
    display: none;
  }
}
.header-toggle--close {
  background: url(../../../icons/close.svg) no-repeat;
}

.site-logo {
  width: 96px;
  display: block;
  flex-shrink: 0;
  padding: 12px;
}
.header--expanded .site-logo {
  padding: 12px 24px;
}
@media (min-width: 1024px) {
  .header--expanded .site-logo {
    padding: 12px;
  }
}
